<?php
if ( ! isset($smtp_mail_tab_selected, $microsoftMailUserMail, $microsoftMailUserName, $microsoftMailApplicationId, $microsoftMailAccessToken, $microsoftMailRedirectUri, $microsoftMailApplicationPassword, $microsoftMailAuthUrl ) ) {
	echo "<p>not all variables are present</p>";

	return;
}

?>
<div class="tab-pane fade <?= esc_attr( $smtp_mail_tab_selected === 'microsoft' ? "show active" : "" ); ?>"
     id="microsoft" role="tabpanel" aria-labelledby="microsoft-tab">
    <table class="form-table">
        <tbody>

        <tr>
            <th scope="row">
                <label>Handleiding</label>
            </th>
            <td>
                <a class="btn btn-primary text-white" target="_blank" href="https://mintyhosting.nl/faq-item/smtp-installeren-op-de-minty-support-wordpress-plugin/">
                    Klik hier voor de handleiding
                </a>
                <br>
                <small>
                    Volg de handleiding om een microsoft azure applicatie aan te maken
                </small>

            </td>
        </tr>

        </tbody>
    </table>
    <hr>
	<form method="post" action="">
		<table class="form-table">
			<tbody>
			<tr>
				<th scope="row">
					<label for="microsoft_mail_application_id">Applicatie ID</label>
				</th>
				<td>
					<input type="text" name="microsoft_mail_application_id" class="form-control "
					       id="microsoft_mail_application_id"
					       value="<?= esc_attr( $microsoftMailApplicationId ); ?>"/>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="microsoft_mail_application_password">Applicatie secret</label>
				</th>
				<td>
					<input type="password" name="microsoft_mail_application_password" class="form-control"
					       id="microsoft_mail_application_password"
					       value="<?= esc_attr( $microsoftMailApplicationPassword ); ?>"/>

				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="microsoft_mail_redirect_uri">Redirect URI</label>
				</th>
				<td>
					<input type="text" class="form-control"
					       value="<?= esc_attr( $microsoftMailRedirectUri ); ?>" disabled/>
					<input type="hidden" name="microsoft_mail_redirect_uri"
					       id="microsoft_mail_redirect_uri"
					       value="<?= esc_attr( $microsoftMailRedirectUri ); ?>"/>
					<small>Dit is de URL die de applicatiebeheerder moet invoeren in de microsoft azure
						omgeving.</small>

				</td>
			</tr>

			</tbody>
		</table>
		<input type="hidden" name="action" value="save_minty_mail_settings">
		<input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Opslaan">
	</form>
	<hr>
	<table class="form-table">
		<tbody>
		<tr>
			<th scope="row">
				<label for="microsoft_mail_authorization">Autorisatie</label>
			</th>
			<td>
				<?php if ( $microsoftMailAccessToken ): ?>
					<form action="" method="POST">
						<input type="hidden" name="action" value="remove_minty_client_tokens">
						<button type="submit" class="btn btn-danger">Unlink account</button>
						<span class="badge text-bg-secondary">
                                    <?= $microsoftMailUserMail . " / " . $microsoftMailUserName ?>
                                </span>
					</form>
				<?php else: ?>
					<a href="<?= esc_attr( $microsoftMailAuthUrl ) ?>" type="button"
                       class="btn btn-success">Geef plugin toestemming om e-mails te versturen</a>
				<?php endif; ?>

			</td>
		</tr>
		</tbody>
	</table>
</div>