<?php

if ( ! isset( $svg_upload_enabled, $category_pagination_slug_enabled, $minty_woo_mini_cart ) ) {
	echo "<p>not all variables are present</p>";

	return;
}

?>

<form id="settingsForm" method="post" action="">
    <table class="form-table">
        <tbody>
        <tr>
            <th scope="row"><label>SVG toegestaan in uploads</label></th>
            <td>
                <label class="switch">
                    <input type="checkbox" class="dynamicCheckbox" data-input-name="svg_upload_enabled"
						<?= esc_attr( $svg_upload_enabled === 'true' ? "checked" : "" ); ?>>
                    <span class="slider"></span>
                </label>
            </td>
        </tr>
		<?php if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ), true ) ) : ?>
            <tr>
                <th style="width: 100%" scope="row"><label>Verwijder product-categorie slug</label></th>
                <td>
                    <label class="switch">
                        <input type="checkbox" class="dynamicCheckbox"
                               data-input-name="category_pagination_slug_enabled"
							<?= esc_attr( $category_pagination_slug_enabled === 'true' ? "checked" : "" ); ?>>
                        <span class="slider"></span>
                    </label>
                </td>
            </tr>
            <tr>
                <th style="width: 100%" scope="row"><label>Minty Woo Mini Cart (BETA)</label></th>
                <td>
                    <label class="switch">
                        <input type="checkbox" class="dynamicCheckbox"
                               data-input-name="minty_woo_mini_cart"
							<?= esc_attr( $minty_woo_mini_cart === 'true' ? "checked" : "" ); ?>>
                        <span class="slider"></span>
                    </label>
                </td>
            </tr>
		<?php endif; ?>
        </tbody>
    </table>
    <input type="hidden" name="action" value="save_minty_support_settings">
    <input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Opslaan">
</form>
