<?php

namespace MintySupport\Classes\Controllers;

use MintyMedia\ChefCentraal\Core\Modules\ModuleService;
use MintySupport\Classes\Core\Controllers\BaseController;
use MintySupport\Classes\Core\Managers\ModuleManager;
use MintySupport\Classes\Endpoints\SavePostsOrderEndpoint;

class EndpointController extends BaseController {

	public function init(): void {
		$list = [];
		foreach (ModuleManager::getInstance()->getModules() as $module) {
			$list = array_merge($list, $module->getEndpoints());
		}

		foreach ( $list as $endpoint ) {
			$endpointInstance = new $endpoint();
			$endpointInstance->init();
		}
	}
}