<?php

namespace MintySupport\Classes\Controllers;


use MintySupport\Classes\Core\Controllers\BaseController;
use MintySupport\Classes\Core\Managers\ModuleManager;

class ShortcodeController extends BaseController
{
	public function init(): void {
		$list = [];
		foreach (ModuleManager::getInstance()->getModules() as $module) {
			$list = array_merge($list, $module->getShortcodes());
		}

		foreach ( $list as $shortcode ) {
			$endpointInstance = new $shortcode();
			$endpointInstance->init();
		}
	}
}
