<?php
if ( ! isset( $smtp_mail_tab_selected, $mail_sender_name, $mail_sender_email, $mail_host, $mail_port, $mail_security, $mail_username, $mail_password ) ) {
	echo "<p>not all variables are present</p>";

	return;
}

?>
<div class="tab-pane fade <?= esc_attr( $smtp_mail_tab_selected === 'standaard' ? "show active" : "" ); ?>"
     id="standaard" role="tabpanel" aria-labelledby="standaard-tab">
	<form method="post" action="">
		<table class="form-table">
			<tbody>

			<tr>
				<th scope="row">
					<label for="mail_host">Hostnaam</label>
				</th>
				<td>
					<input type="text" name="mail_host" class="form-control" id="mail_host"
					       value="<?= esc_attr( $mail_host ); ?>"/>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="mail_port">Poort</label>
				</th>
				<td>
					<input type="number" name="mail_port" class="form-control" id="mail_port"
					       value="<?= esc_attr( $mail_port ); ?>"/>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="mail_security">Beveiliging</label>
				</th>
				<td>
					<input type="radio" id="mail_security_none" name="mail_security"
					       value="none" <?= esc_attr( $mail_security === 'none' ? "checked" : "" ); ?>/>
					<label for="mail_security_none">Geen</label>

					<input type="radio" id="mail_security_ssl" name="mail_security"
					       value="ssl" <?= esc_attr( $mail_security === 'ssl' ? "checked" : "" ); ?>/>
					<label for="mail_security_ssl">SSL</label>

					<input type="radio" id="mail_security_tls" name="mail_security"
					       value="tls" <?= esc_attr( $mail_security === 'tls' ? "checked" : "" ); ?>/>
					<label for="mail_security_tls">TLS</label>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="mail_username">Gebruikersnaam</label>
				</th>
				<td>
					<input type="text" class="form-control" name="mail_username" id="mail_username"
					       value="<?= esc_attr( $mail_username ); ?>"/>
				</td>
			</tr>
			<tr>
				<th scope="row">
					<label for="mail_password">Wachtwoord</label>
				</th>
				<td>
					<input type="password" class="form-control" name="mail_password" id="mail_password"
					       value="<?= esc_attr( $mail_password ); ?>"/>
				</td>
			</tr>
			</tbody>
		</table>
		<input type="hidden" name="action" value="save_minty_mail_settings">
		<input type="submit" name="submit" id="submit" class="btn btn-outline-primary" value="Opslaan">
	</form>
</div>