<?php

if (!isset($users) && !isset($roles) && !isset($temp_login_enabled)) {
    echo "<p>not all variables are preasent</p>";

    return;
}


?>
<style>
    .form-select {
        max-width: 100% !important; /* Zorgt ervoor dat de breedte van alle input velden gelijk is */
        padding: 0.375rem 0.75rem !important;; /* Standaard padding voor Bootstrap form inputs */
        line-height: 1.5 !important;; /* Standaard regelhoogte voor leesbaarheid */
        border-radius: 0.25rem !important;; /* Afgeronde hoeken voor een zachter uiterlijk */
    }
</style>
<?php
if ($temp_login_enabled === 'true') {
    ?>
    <hr>


    <!-- Modal -->
    <div class="modal fade mt-5" id="tempUser" tabindex="-1" aria-labelledby="tempUserLabel"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Maak een tijdelijk account</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Sluit"></button>
                </div>
                <div class="modal-body">
                    <form method="post" action="">
                        <div class="mb-3">
                            <label for="temp_login_name" class="form-label">Naam</label>
                            <input type="text" class="form-control" id="temp_login_name" name="temp_login_name"
                                   required>
                        </div>
                        <div class="mb-3">
                            <label for="temp_login_role" class="form-label">Rol</label>
                            <select class="form-select" id="temp_login_role" name="temp_login_role" required>
                                <option value="" selected>Kies een rol</option>
                                <?php foreach ($roles as $key => $value): ?>
                                    <option value="<?= esc_attr($key); ?>"><?= esc_attr($value); ?></option>
                                <?php endforeach; ?>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="temp_login_expiredate" class="form-label">Vervaldatum</label>
                            <input id="temp_login_expiredate" name="temp_login_expiredate" class="form-control"
                                   type="date" required/>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Sluit</button>
                            <input type="hidden" name="action" value="save_minty_temp_user">
                            <input type="submit" name="submit" id="submit" class="btn btn-outline-primary"
                                   value="Creëer account">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <table class="table table-striped table-sm">
        <tbody>
        <tr>
            <th scope="row">Naam</th>
            <th scope="row">Rol</th>
            <th scope="row">Laatst ingelogd</th>
            <th scope="row">Vervaldatum</th>
            <th scope="row">Acties</th>
        </tr>

        <?php foreach ($users as $user): ?>
            <tr>
                <td><?= esc_attr($user->user_login); ?></td>
                <td><?= esc_attr(ucfirst($user->roles[0] ?? "Geen rol")); ?></td>
                <td><?= esc_html(get_user_meta($user->ID, 'last_login', true)); ?></td>
                <td>
                    <?php
                    $expired = false;
                    $expireDate = get_user_meta($user->ID, 'vervaldatum', true);
                    if ($expireDate) {
                        $expireDate_timestamp = strtotime($expireDate);
                        if ($expireDate_timestamp < time()) {
                            $expired = true;
                            echo "Verlopen";
                        } else {
                            echo esc_html(date('d-m-Y', strtotime($expireDate)));
                        }
                    } else {
                        echo "Onbeperkt";
                    }
                    ?>
                </td>
                <td>
                    <div class="d-flex position-absolute">
                        <?php if ($expireDate): ?>

                            <form method="post" action="">
                                <input type="hidden" name="temp_user_id" value="<?= esc_attr($user->ID); ?>">
                                <input type="hidden" name="action" value="delete_minty_temp_user">
                                <button style="margin-top: -9px;" class="btn text-danger" type="submit">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                         class="bi bi-trash" viewBox="0 0 16 16">
                                        <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5m2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5m3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0z"/>
                                        <path d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4zM2.5 3h11V2h-11z"/>
                                    </svg>

                                </button>
                            </form>
                        <?php endif; ?>

                        <?php
                        $auto_login_token = get_user_meta($user->id, 'auto_login_token', true);
                        if (!empty($auto_login_token)):
                            $login_url = home_url('/auto-login?token=' . $auto_login_token);
                            ?>
                            <?php if (!$expired): ?>
                            <button style="margin-top: -9px;" class="btn"
                                    value="<?= esc_attr($login_url); ?>" onclick="copyValue(this)">
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                                     stroke-width="1.5"
                                     stroke="currentColor" style="width: 20px; ">
                                    <path stroke-linecap="round" stroke-linejoin="round"
                                          d="M11.35 3.836c-.065.21-.1.433-.1.664 0 .414.336.75.75.75h4.5a.75.75 0 0 0 .75-.75 2.25 2.25 0 0 0-.1-.664m-5.8 0A2.251 2.251 0 0 1 13.5 2.25H15c1.012 0 1.867.668 2.15 1.586m-5.8 0c-.376.023-.75.05-1.124.08C9.095 4.01 8.25 4.973 8.25 6.108V8.25m8.9-4.414c.376.023.75.05 1.124.08 1.131.094 1.976 1.057 1.976 2.192V16.5A2.25 2.25 0 0 1 18 18.75h-2.25m-7.5-10.5H4.875c-.621 0-1.125.504-1.125 1.125v11.25c0 .621.504 1.125 1.125 1.125h9.75c.621 0 1.125-.504 1.125-1.125V18.75m-7.5-10.5h6.375c.621 0 1.125.504 1.125 1.125v9.375m-8.25-3 1.5 1.5 3-3.75"/>
                                </svg>
                            </button>
                        <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </td>
            </tr>
        <?php endforeach; ?>


        </tbody>
    </table>
    <!-- Button trigger modal -->
    <button type="button" class="btn btn-primary mb-3 float-start" data-bs-toggle="modal"
            data-bs-target="#tempUser">
        Maak tijdelijk account
    </button>
    <script>
        const copyValue = (element) => {
            // Creëer een tijdelijk input element
            const tempInput = document.createElement("input");
            tempInput.value = element.getAttribute("value"); // Haal de waarde van de knop op

            document.body.appendChild(tempInput); // Voeg de tijdelijke input toe aan het document
            tempInput.select(); // Selecteer de tekst in de tijdelijke input
            document.execCommand("copy"); // Kopieer de tekst naar het klembord
            document.body.removeChild(tempInput); // Verwijder de tijdelijke input van het document
        };
    </script>
<?php } ?>
