<?php

namespace MintySupport\Classes\Controllers;

use MintySupport\Classes\Core\Controllers\BaseController;
use MintySupport\Classes\Core\Managers\ModuleManager;

class ActionController extends BaseController{
	public function init(): void {
		$list = [];
		foreach (ModuleManager::getInstance()->getModules() as $module) {
			$list = array_merge($list, $module->getActions());
		}

		foreach ( $list as $action ) {
			$endpointInstance = new $action();
			$endpointInstance->init();
		}
	}
}