<?php

namespace MintySupport\Classes\Controllers;

use MintySupport\Classes\Core\Controllers\BaseController;
use MintySupport\Classes\Core\Managers\ModuleManager;

class FilterController extends BaseController {
	public function init(): void {
		$list = [];
		foreach (ModuleManager::getInstance()->getModules() as $module) {
			$list = array_merge($list, $module->getFilters());
		}

		foreach ( $list as $filter ) {
			$endpointInstance = new $filter();
			$endpointInstance->init();
		}
	}
}