<?php

namespace MintySupport\Classes\Controllers;

use MintySupport\Classes\Core\Controllers\BaseController;

class PageController extends BaseController {
	public function init(): void {
		add_action( 'login_enqueue_scripts', array( $this, 'customLoginLogo' ) );
	}

	public function customLoginLogo(): void {
		$this->view(
			'Pages/LoginPage/custom_login_logo',
			[ 'logoUrl' => 'https://mintyplugin.myio.nl/wp-content/uploads/2024/02/logo-mm.svg'],
		);
	}
}