<?php

namespace MintySupport\Classes\Core\Controllers;

use MintySupport\Classes\Core\Templates\TemplateService;

abstract class BaseController {
	abstract public function init(): void;

	/**
	 *
	 * @param string $template
	 * @param array $vars
	 *
	 * @return bool
	 */
	public function view(string $template, array $vars = []): bool
	{
		return TemplateService::getInstance()->load($template, $vars);
	}
}