<?php

namespace MintySupport\Classes\Core\Settings\MailProviders;

use PHPMailer\PHPMailer\PHPMailer;

abstract class OAuthBase extends ProviderBase {

	abstract public function setup( PHPMailer $phpmailer ): void;
	abstract public function handleOAuth( ): void;
	abstract public function removeTokens( ): void;
	abstract public function saveTokens(string $accessToken, string $refreshToken  ): void;
}