<?php

namespace MintySupport\Classes\Database\Migrations;

use MintySupport\Classes\Core\Database\Migrations;

class MintySupportSettingsTable extends Migrations {
	public function getName(): string {
		return "Minty Support Settings Table";
	}

	public static function getTableName(): string {
		global $wpdb;
		return $wpdb->prefix . "minty_support_settings";
	}

	public function statement(): string {
		$tableName = self::getTableName();
		return "CREATE TABLE `$tableName` (
				  `id` int NOT NULL AUTO_INCREMENT,
				  `setting_name` varchar(255) NOT NULL,
				  `setting_value` text NOT NULL,
				  PRIMARY KEY (id)
			);";

	}
}