<?php

namespace MintySupport\Classes\Modules\GeneralSettings\Actions;

use MintySupport\Classes\Core\Wordpress\Action;

class MintySupportWidget extends Action {

	public function getHooks(): array {
		return [
			'wp_dashboard_setup'
		];
	}

	public function execute(): void {
		wp_add_dashboard_widget(
			'minty_support_widget',
			'Minty Support',
			[$this, 'render']
		);
	}

	public function render(): void {
		$this->view( 'Pages/Dashboard/dashboard_widget' );
	}
}