<?php

namespace MintySupport\Classes\Modules\GeneralSettings;

use MintySupport\Classes\Core\Modules\Module;
use MintySupport\Classes\Modules\GeneralSettings\Actions\HideLiveButton;
use MintySupport\Classes\Modules\GeneralSettings\Actions\MintySupportWidget;
use MintySupport\Classes\Modules\GeneralSettings\Actions\ProductCategorySlug;
use MintySupport\Classes\Modules\GeneralSettings\Actions\SvgUpload;
use MintySupport\Classes\Modules\GeneralSettings\AdminPages\DefaultBase;

class GeneralSettingsModule extends Module {

	public static function getName(): string {
		return 'general_settings';
	}

	public function init(): bool {
		return true;
	}

	public function getActions(): array {
		return [
			MintySupportWidget::class,
			SvgUpload::class,
			ProductCategorySlug::class,
//			HideLiveButton::class,
		];
	}
}