<?php

namespace MintySupport\Classes\Modules\GeneralSettings\Scripts;

use MintySupport\Classes\Core\Wordpress\Script;

class SwitchValuesScript extends Script {

	public function getName(): string {
		return "switch_values";
	}

	public function getFile(): string {
		return "assets/modules/general/js/switch-values.js";
	}

	public function getVarsName(): string {
		return "custom_post_order";
	}

	public function getVars(): array {
		return [
		];
	}

	public function shouldLoad(): bool {
		return is_admin();
	}
}