<?php

namespace MintySupport\Classes\Modules\MintyWooMiniCart\Shortcodes;

use MintySupport\Classes\Core\Wordpress\Shortcode;

class MintyShoppingCartShortcode extends Shortcode {

	public function getShortcodeName(): string {
		return "minty_shopping_cart";
	}

	public function onLoad( ?bool $savedData = null ): void {
		$this->view( 'Mini-Cart/minty_mini_cart_button' );
		$this->view( 'Mini-Cart/minty_mini_cart', [
			'cart'=> WC()->cart,
		]);
	}

	public function onSave(): null|bool {
		return false;
	}

	public function onSaveTrigger(): bool {
		return false;
	}
}