<?php

namespace MintySupport\Classes\Modules\TemporarilyLogin;

use MintySupport\Classes\Core\Modules\Module;
use MintySupport\Classes\Modules\TemporarilyLogin\Actions\TemporarilyLoginAction;
use MintySupport\Classes\Modules\TemporarilyLogin\AdminPages\TemporarilyLogin;

class TemporarilyLoginModule extends Module {

	public static function getName(): string {
		return 'temp_login_enabled';
	}

	public function init(): bool {
		return true;
	}

	public function getActions(): array {
		return [
			TemporarilyLoginAction::class,
		];
	}
}